/****************************************************************************
 * boards/arm/stm32l4/b-l475e-iot01a/src/stm32_userleds.c
 *
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.  The
 * ASF licenses this file to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance with the
 * License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
 * License for the specific language governing permissions and limitations
 * under the License.
 *
 ****************************************************************************/

/****************************************************************************
 * Included Files
 ****************************************************************************/

#include <nuttx/config.h>
#include <debug.h>

#include <arch/board/board.h>
#include "b-l475e-iot01a.h"

#include "stm32l4_gpio.h"

#ifndef CONFIG_ARCH_LEDS

/****************************************************************************
 * Public Functions
 ****************************************************************************/

/****************************************************************************
 * Name: board_userled_initialize
 ****************************************************************************/

uint32_t board_userled_initialize(void)
{
  /* Configure LED gpio as output */

  stm32l4_configgpio(GPIO_LED1);
  stm32l4_configgpio(GPIO_LED2);
  return BOARD_NLEDS;
}

/****************************************************************************
 * Name: board_userled
 ****************************************************************************/

void board_userled(int led, bool ledon)
{
  if (led == BOARD_LED1)
    {
      stm32l4_gpiowrite(GPIO_LED1, ledon);
    }
  else if (led == BOARD_LED2)
    {
      stm32l4_gpiowrite(GPIO_LED2, ledon);
    }
}

/****************************************************************************
 * Name: board_userled_all
 ****************************************************************************/

void board_userled_all(uint32_t ledset)
{
  stm32l4_gpiowrite(GPIO_LED1, !!(ledset & BOARD_LED1_BIT));
  stm32l4_gpiowrite(GPIO_LED2, !!(ledset & BOARD_LED2_BIT));
}

#endif /* !CONFIG_ARCH_LEDS */
