/****************************************************************************
 * libs/libc/stdio/lib_printf.c
 *
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.  The
 * ASF licenses this file to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance with the
 * License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
 * License for the specific language governing permissions and limitations
 * under the License.
 *
 ****************************************************************************/

/****************************************************************************
 * Included Files
 ****************************************************************************/

#include <stdio.h>
#include <stdarg.h>
#include <unistd.h>

/****************************************************************************
 * Public Functions
 ****************************************************************************/

/****************************************************************************
 * Name: printf
 ****************************************************************************/

int printf(FAR const IPTR char *fmt, ...)
{
  va_list ap;
  int     ret;

  va_start(ap, fmt);
#ifdef CONFIG_FILE_STREAM
  ret = vfprintf(stdout, fmt, ap);
#else
  ret = vdprintf(STDOUT_FILENO, fmt, ap);
#endif
  va_end(ap);

  return ret;
}
